import { Node } from "../types/Node";
export declare type In<V> = {
    /** Value to be forwarded. */
    d_val: V;
};
export declare type Out<V> = {
    /** Forwarded input value. */
    d_val: V;
};
/**
 * Forwards input value unconditionally.
 * @link https://github.com/kwaia/flowcode.js/wiki/Noop
 */
export declare type Noop<V> = Node<In<V>, Out<V>>;
/**
 * Creates a Noop node.
 */
export declare function createNoop<V>(): Noop<V>;
